unit files;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TFormFiles = class(TForm)
    Button1: TButton;
    Panel1: TPanel;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    Label3: TLabel;
    Panel2: TPanel;
    Label2: TLabel;
    SpeedButton2: TSpeedButton;
    Label4: TLabel;
    OpenDialog1: TOpenDialog;
    OpenDialog2: TOpenDialog;
    Panel3: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FormFiles: TFormFiles;
  FileSource: String;
  FileDest  : String;
  Frequence : Integer;

implementation

uses main;

{$R *.DFM}

procedure TFormFiles.Button1Click(Sender: TObject);
var
  Error: Integer;
begin
  FileSource:= Label3.Caption;
  FileDest:= Label4.Caption;
  Val(Edit1.Text,Frequence,Error);
  If FileSource<>'' Then
  Begin
    FormFiles.Visible:= False;
    FormMain.ShowModal;
    Halt;
  End;
end;

procedure TFormFiles.SpeedButton1Click(Sender: TObject);
begin
  If OpenDialog1.Execute Then
  Begin
    Label3.Caption:= OpenDialog1.FileName;
    Label4.Caption:= ChangeFileExt(OpenDialog1.FileName,'.txt');
  End;
end;

procedure TFormFiles.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Halt;
end;

procedure TFormFiles.SpeedButton2Click(Sender: TObject);
begin
  If OpenDialog2.Execute Then
    Label4.Caption:= OpenDialog2.FileName;
end;



end.
